#
# spec file for package fribidi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fribidi
Version:        0.19.2
Release:        16.5
Summary:        Free Implementation of BiDi Algorithm
License:        LGPL-2.1
Group:          System/Libraries
Url:            http://fribidi.org/
# bug437293
%ifarch ppc64
Obsoletes:      fribidi-64bit
%endif
#
Provides:       locale(ar;he)
Source:         http://fribidi.org/download/%{name}-%{version}.tar.gz
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config

%description
This library implements the algorithm as described in the "Unicode
Standard Annex #9, the Bidirectional Algorithm,
http://www.unicode.org/unicode/reports/tr9/". FriBidi is exhaustively
tested against the Bidi Reference Code and, to the best of the
developers' knowledge, does notcontain any conformance bugs.

The API was inspired by the document "Bi-Di languages support - BiDi
API proposal" by Franck Portaneri, which he wrote as a proposal for
adding BiDi support to Mozilla.

%package devel
Summary:        Development Files for FriBiDi
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkg-config

%description devel
This package provides headers and manual files for FriBiDi.

%prep
%setup -q

%build
%configure --disable-static
%__make %{?_smp_mflags}

%check
%__make check

%install
%__make DESTDIR=%buildroot install
%__rm %buildroot%{_libdir}/libfribidi.la

%clean
%__rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fribidi
%{_libdir}/libfribidi.so.*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO

%files devel
%defattr(-, root, root)
%dir %{_includedir}/fribidi
%{_includedir}/fribidi/*
%{_libdir}/libfribidi.so
%{_libdir}/pkgconfig/fribidi.pc
%doc %{_mandir}/man3/fribidi_*

%changelog
* Tue Mar 26 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Feb  6 2011 adam@mizerski.pl
- update to 0.19.2
  * Update to Unicode Character Database 5.1.0
* Fri Apr 30 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Thu Dec 17 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Sun Jan  6 2008 crrodriguez@suse.de
- update to version 0.10.9
  * Fixed type sizes when stdint.h is not available.
  * Update to Unicode Character Database 5.0.0
  * Fixed type sizes on 64-bit architectures.
- disable static libraries
- remove libtool archive with empty dependency_libs
- do not require gtk2-devel for build as it is unused
- spec file cleanups
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(ar,he)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Mar  9 2004 mfabian@suse.de
- Bugzilla #34267: fix this by adding the compiler option
  "-fno-strict-aliasing".
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon May 12 2003 nashif@suse.de
- package forgotten files
* Sat Aug 10 2002 nashif@suse.de
- added missing requires to devel package
* Wed Jul  3 2002 meissner@suse.de
- rerun auto* tools
* Sun Jun  9 2002 nashif@suse.de
- Update to version 0.10.4
* Fri May  3 2002 nashif@suse.de
- Update to 0.10.3
- Use _libdir macro and fix for x86_64
* Fri Mar  1 2002 nashif@suse.de
- Fixed for s390x: using _libdir instead of plain path
* Sat Feb  9 2002 nashif@suse.de
- Update to version 0.10.1
* Wed Apr 11 2001 nashif@suse.de
- Update to version 0.9.0
* Fri Feb  9 2001 nashif@suse.de
- Update to version 0.1.15
* Sun Nov  5 2000 nashif@suse.de
- Update to 0.1.14
- Changed neededforbuild
- add sub packages fribidi-devel
* Fri Sep 22 2000 nashif@suse.de
- Updated to 0.1.12
* Tue Jun 20 2000 schwab@suse.de
- Fix use of suse_update_config macro.
* Fri Apr 28 2000 nashif@suse.de
- Update to version 0.1.10
* Wed Apr 12 2000 nashif@suse.de
- Update to version 0.1.9
* Sat Apr  8 2000 bk@suse.de
- added suse update config macro
* Sun Feb 13 2000 nashif@suse.de
- Initial Release ( Version: 0.1.8 )
